サポート対象プラットフォーム

このページの内容

このセクションの項目

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

このページでは、Bitbucket Data Center および Server 7.12.x のサポート対象プラットフォームについて説明します。

Bitbucket でサポートされるプラットフォームの今後の変更についてはサポート終了のお知らせをご確認ください。

以降の情報を注意深く読み、ご自身のインスタンスに適用されるかどうかをご確認ください。 

定義

(tick) サポート対象 - このプラットフォームで Bitbucket Data Center および Server 7.12.x を使用できます。

(info)制限付き - このプラットフォームで Bitbucket を評価できますが、本番サイトでの実行には使用できません。 

(warning) 非推奨 - このプラットフォームのサポートは、今後のリリースで終了する予定です。


このページの内容

ハードウェア

CPU

評価用サイト: 1 コア 
本番環境: 2 コア以上

メモリ

3 GB 以上

考慮事項

  • 3 GB 以上のメモリが利用可能である必要があります。Bitbucket 用に 1 GB、Git 操作用に追加で 2 GB のメモリを用意することを推奨します。 
  • 個々のハードウェア要件は、Git 操作の数および頻度や、アクティブ ユーザーの数に応じて異なります。詳細については「Bitbucket Server を拡張する」をご参照ください。 

環境

(tick) Linux

(tick) Microsoft Windows (〜 500 ユーザー)

(info) Apple macOS

既知の問題

  • Microsoft Windows は、Bitbucket Data Center または 500 人以上のユーザー層ではサポートされません。
  • NTFS が必須であるため、Windows Resilient File System (ReFS) を使用することはできません。
  • Apple macOS は評価用にのみ使用できます。MacOS を本番環境のデプロイで使用することはできません。

考慮事項

  • 本番環境では、Bitbucket を専用のユーザー アカウントで実行する必要があります。
  • Linux サポートでは、2.6.17+ のカーネルと glibc 2.7+ が必要です。つまり、glibc 2.5 を利用する Red Har Enterprise Linux は、Bitbucket Server 7.0+ ではサポートされなくなっています。 

クラウド プラットフォーム

(tick) Amazon Web Services (AWS)

(tick) Microsoft Azure

既知の問題

Bitbucket の共有ホーム ディレクトリに Amazon Elastic File System (EFS) を使用することはできません。

考慮事項

詳細については「Bitbucket を AWS で実行する場合の考慮事項」をご参照ください。

Java

Oracle Java & OpenJDK

(tick) Java 11.0.8+

(warning) Java 11 through 11.0.7

(error) Java 10

(error) Java 9

(tick) Java 8 (1.8u65+ をサポート)


考慮事項

  • Bitbucket 8.0 will raise the minimum supported Java version to 11.0.8. Java versions 11.0.0 - 11.0.7 are not recommended due to Java bug: JDK-8241054

  • Bitbucket は必要に応じてサポート対象の AdoptOpenJDK Java JRE をインストールします。これは必要に応じて Bitbucket でのみ利用できます。「Bitbucket Server インストーラーを実行する」をご参照ください。

  • JRE を事前にインストールする場合、AdoptOpenJDK の web サイトからダウンロードできる AdoptOpenJDK の Java 8 JRE を使用することを推奨します。

  • OpenJDK については、Linux フレーバーに対応したダウンロードおよび手順の確認を http://openjdk.java.net/install/ で行えます。

  • AWS EC2 の Linux インスタンスにインストール済みの Java には、機能のサブセットが含まれている可能性があります。詳細については、「AWS EC2 インスタンスで SSH サーバーが開始に失敗する」をご参照ください

  • Oracle の公式ビルド、AdoptOpenJDK などの代替ビルド、および Red Hat Enterprise などの Linux ディストリビューションに同梱されるビルドを含む、標準の OpenJDK ビルドがサポートされます。 

データベース

PostgreSQL

(tick) 9.6 ~ 12

(warning) 9.5

(warning) 9.4

MySQL  (Bitbucket Server のみ)

(tick) 8.0.11 以降

(tick) 5.7.9 以降

(warning) 5.6.16 以降

(warning) 5.5.8 以降

(tick) MariaDB 10.4.6 以降

(tick) MariaDB 10.3.7 以降

(tick) MariaDB 10.2.6 以降

(warning) MariaDB 10.1.8 以降

(error)  MariaDB 10.0.10 

(warning) MariaDB 5.5.23 以降

既知の問題

MySQL は Bitbucket のサポート対象ですが、特に大規模なインスタンスにおいては現在推奨されません。これは、このデータベース エンジンでは、高い負荷下でパフォーマンスやデッドロックに関する固有の問題が確認されているためです。

詳細については「Bitbucket Server を MySQL に接続する」を、デッドロックの問題の全般的な情報については http://dev.mysql.com/doc/refman/5.0/en/innodb-deadlocks.html をご参照ください。

Bitbucket を次のバージョンで使用することはできません。

MySQL を Bitbucket Data Center で使用しないでください。


Microsoft SQL Server / Microsoft SQL Server Express

(tick) 2019

(tick) 2017

(tick) 2012 〜 2016



既知の問題

考慮事項

Linux の Bitbucket インストールと SQL Server の間での Windows 認証の利用はサポートされていません。

Oracle

(tick) 19c

(tick) 18c

(tick) 12c

(warning) 11g



Amazon Aurora (Data Center のみ)

(tick) PostgreSQL 9.6 - 11

考慮事項

  • 唯一サポートされている Amazon Aurora 構成は、PostgreSQL 互換のクラスタ化されたデータベースで、1 つのライターが 0 個以上のリーダーにレプリケートされます。詳細情報

H2 (同梱)

(info)   Bitbucket Server、評価目的のみ

(tick)  Bitbucket ミラー


考慮事項

  • H2 は Bitbucket にバンドルされ、評価目的でのみ使用できます。
  • H2 (バンドル版) は、本番環境での Bitbucket Data Center のミラーでサポートされる唯一のデータベースです。

HSQLDB (同梱)

Bitbucket Server のみ、評価目的のみ
(warning) 非推奨


考慮事項

  • Bitbucket を外部データベースに接続する」をご参照ください。
  • HSQLDB は Bitbucket Data Center ではサポートされていません。
  • HSQLDB のサポートは Bitbucket 4.0 以降で廃止されています。新しい Bitbucket インストールには H2 がバンドルされ、これが評価用の既定のデータベースとして使用されます。

連携

サポート対象のバージョンの組み合わせについては、「アトラシアン アプリケーションと連携する」をご参照ください

CI サーバー

ご利用の環境で可能な限りの安全性や安定性を実現するため、ご利用の CI サーバーの最新バージョンにアップグレードすることをおすすめします。Bitbucket と CI アプリケーションのリンクの詳細については「埋め込みの CI/CD」をご確認ください。


Bamboo

(tick) 5.6 – 6.10

(tick) 7.0+ (埋め込みの CI/CD 機能用)

考慮事項

Jenkins

(tick) 2.162 以降

考慮事項


ブラウザ

デスクトップ ブラウザ

(tick) Chrome (最新の安定バージョン)

(tick) Firefox (最新の安定バージョン)

(tick) MS Edge (最新の安定バージョン)

(tick) Safari (最新の安定バージョン)



考慮事項

  • Bitbucket でサポートされるブラウザの最小解像度は 1100 px です。
  • Bitbucket ではChromium ベースの Microsoft Edge の最新の安定バージョンがサポートされ、従来の Microsoft Edge (バージョン 18 以前) はサポートされません。
  • モバイル ブラウザはサポートされません。

DVCS

Git – サーバー

(tick)  2.31.x 

(tick)  2.30.x 

(tick)  2.29.x 

(tick)  2.28.x 

(tick)  2.27.x 

(tick)  2.26.x 

(tick)  2.25.x 

(tick)  2.24.x 

(tick)  2.23.x 

(tick) 2.22.x

(tick) 2.21.x

(tick) 2.20.x

(tick) 2.19.x

(tick) 2.18.x

(tick) 2.17.x

(tick) 2.16.x

(tick) 2.15.x

(tick) 2.14.x

(tick) 2.13.x

(tick) 2.12.x (Windows 上の 2.12.2 を除く)*

(tick) 2.11.x


Git – サーバー

可能な限り、Bitbucket インスタンスとクライアントの両方でサポート対象の最新バージョンの Git を使用することをおすすめします。その際は次の注意事項や例外をご確認ください。

  • Bitbucket とやり取りするマシン上にインストールされている Git のバージョンは、Bitbucket インスタンス用にインストールされている Git のバージョンとの互換性を持つ必要があります。

  • スマート ミラーリングを使用する場合、最小バージョンとして Git 2.11.1 がインストールされている必要があります。

  • バージョンにかかわらず、Windows サーバーにCygwin Git をインストールしないでください。

  • Git for Windows 2.12.2 には git status の不具合があり、これによってファイルの編集に失敗します。この問題は修正され、修正は Git for Windows 2.12.3 に含まれています。

  • BSERV-9673 - File editing fails using Git for Windows 2.12.2



Git – クライアント

(tick) 1.8.4.3+
(tick) 1.6.6+

あるいは Git LFS が利用される 1.8.2

Git LFS - クライアント

(tick) 1.1.0 以降

Git – クライアント  

HTTP プロキシの動作に影響するバグが、Git バージョン 1.8.4.3 で修正されています。 

[セキュリティ脆弱性 CVE-2016-2324 & CVE-2016-2315] 複数の Git バージョンに影響します。サーバークライアント両方の Git インストールが、パッチ メンテナンス バージョンである 2.4.11、2.5.5、2.6.6、または 2.7.4 以降に更新されている必要があります。手順については、「Git のインストールとアップグレード」をご確認ください。

インターネット プロトコル


(tick) IPv4

(tick) IPv6

参考情報

IPv 6 環境で Bitbucket を使用する場合、 IP アドレスではなくホスト名を使用することを推奨します

その他のツール

Perl

(tick) 5.8.8 以降

Elasticsearch

(tick) 7.9.3

(tick) 7.5.2

(tick) 6.8.6 

(tick) 6.6.1

(tick) 6.5.3

(warning) 5.5.1 〜 5.5.3

OpenSSH

(tick) 7.2 以降


考慮事項

  • Perl は通常、Git とともに自動的に提供されます。
  • Elasticsearch 6.5.3, 6.6.1, 6.8.6, 7.5.2, and 7.9.3 are supported with the Buckler plugin. Learn how to secure Elasticsearch with Buckler.
  • Elasticsearch 6.4 is supported with AWS.
最終更新日 2022 年 5 月 9 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する

このセクションの項目

Powered by Confluence and Scroll Viewport.